package com.prolog.cs.biz.outbound.service.impl; 

import com.alibaba.fastjson.JSON;
import com.netflix.hystrix.strategy.concurrency.HystrixRequestContext;
import com.prolog.cs.biz.outbound.model.dto.WavesCreateDTO;
import com.prolog.framework.authority.util.HystrixVarUtil;
import org.junit.After;
import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;
import org.springframework.test.context.web.WebAppConfiguration;

import java.util.ArrayList;
import java.util.List;

@RunWith(SpringRunner.class)
@SpringBootTest
@WebAppConfiguration 
public class WavesSpecialServiceImplTest { 

    @Autowired
    private WavesSpecialServiceImpl WavesSpecialServiceImpl;
    
    @Before
    public void before() throws Exception { 
        HystrixRequestContext context = HystrixRequestContext.initializeContext();
        HystrixVarUtil.setUserKey("kzywms-admin");
    } 
    
    @After
    public void after() throws Exception { 
    } 

    @Test//System.out.println(JSON.toJSONString(WavesSpecialServiceImpl.wavesCreateAndSend()));
    public void testWavesCreateAndSend() throws Exception {
        WavesCreateDTO wavesCreateVO=new WavesCreateDTO();
        wavesCreateVO.setWarehouseId("599581702716788736");
        List<String> paramList = new ArrayList<>();
        paramList.add("KCWSW000001");
        wavesCreateVO.setBillIdList(paramList);
        WavesSpecialServiceImpl.wavesCreateAndSend(wavesCreateVO);
    } 
    @Test//System.out.println(JSON.toJSONString(WavesSpecialServiceImpl.getSpecialOmsBillList()));
    public void testGetSpecialOmsBillList() throws Exception { 
        
    } 
    @Test//System.out.println(JSON.toJSONString(WavesSpecialServiceImpl.specialBillConfirm()));
    public void testSpecialBillConfirm() throws Exception { 
        
    } 
    @Test//System.out.println(JSON.toJSONString(WavesSpecialServiceImpl.getSpecialBillDList()));
    public void testGetSpecialBillDList() throws Exception { 
        
    } 
    @Test//System.out.println(JSON.toJSONString(WavesSpecialServiceImpl.cargoOwnerChange()));
    public void testCargoOwnerChange() throws Exception { 
        
    } 
    @Test//System.out.println(JSON.toJSONString(WavesSpecialServiceImpl.getOmsBillDate()));
    public void testGetOmsBillDate() throws Exception { 
        
    } 
        
} 
